import os
import pygame


data_folder_location = os.path.abspath(os.path.dirname(os.path.dirname(__file__)))
data_path = os.path.join(data_folder_location, "data")

def get_filename(*name):
	return os.path.join(data_path, *name)

def load_image(*name):
	full_name = os.path.join(data_path, "images", *name)
	return pygame.image.load(full_name)

class dummy_sound:
	def __init__(self):
		pass
	def play(self):
		pass

def load_sound(*name):
	full_name = os.path.join(data_path, "sounds", *name)
	try:
		return pygame.mixer.Sound(full_name)
	except:
		return dummy_sound()
